.advantages {
    position: relative;
    padding-top: rem(40);
    padding-bottom: rem(50);

    &__header {
        margin-bottom: rem(30);
    }

    &__secondary {
        border-left: 1px solid $gray-200;
    }


    @include media-breakpoint-up(md) {
        padding-top: rem(70);

        &__header {

        }

        &__secondary {
            display: grid;
            grid-template-rows: 1fr 1fr;
            grid-template-columns: 1fr 1fr;

            &--sm {
                grid-template-rows: 1fr;
            }
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        padding-top: rem(80);
        padding-bottom: rem(70);

        &__header {
            margin-bottom: rem(40);

        }

        &__group {
            display: flex;

            &:last-child {

                .advantages__secondary {
                    border-bottom: 1px solid $gray-200;
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {}

}

.advantages-primary {
    color: $white;
    height: rem(330);
    font-weight: 500;
    line-height: 135%;
    font-size: rem(12);
    display: block;
    position: relative;
    overflow: hidden;

    &__image {
        top: 0;
        left: 0;
        right: -80px;
        bottom: 0;
        z-index: 1;
        position: absolute;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            opacity: 0.9;
            position: absolute;
            background: linear-gradient(0deg, #260020 0%, rgba(41, 3, 35, 0.65) 45.29%, rgba(0, 0, 0, 0.00) 79.17%, rgba(0, 0, 0, 0.00) 100%);
        }
    }

    &__content {
        left: 0;
        bottom: 0;
        width: 100%;
        z-index: 10;
        position: absolute;
        padding: rem(20) rem(20) rem(26) rem(23);
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(45);
        display: inline-block;
        margin-bottom: rem(20);
    }

    &__title {
        font-weight: 600;
        line-height: 135%;
        font-size: rem(16);
        margin-bottom: rem(12);
    }

    &__number {
        top: 0;
        right: 0;
        z-index: 30;
        color: $white;
        width: rem(40);
        height: rem(40);
        font-weight: 600;
        line-height: 135%;
        font-size: rem(12);
        position: absolute;
        background: $purple;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(md) {
        height: rem(564);
        font-size: rem(14);
        grid-column: span 2;

        &--sm {
            height: rem(368);
        }

        &__icon {
            margin-bottom: rem(30);
        }

        &__image {
            right: 0;
        }

        &__content {
            width: rem(505);
            padding: rem(30) rem(35);
        }

        &__number {
            width: rem(60);
            height: rem(60);
            font-size: rem(16);
        }
    }

    @include media-breakpoint-up(xl) {
        height: auto;
        width: rem(500);
        flex-shrink: 0;
        font-size: rem(16);

        &--sm {
            height: auto;
            min-height: rem(368);
        }

        &__content {
            width: 100%;
            padding: 0 rem(60) rem(120) rem(60);
        }

        &__icon {
            height: rem(55);
            margin-bottom: rem(32);
        }

        &__title {
            font-size: rem(18);
            margin-bottom: rem(15);
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(16);
        width: rem(620);
    }
}

.advantages-item {
    font-weight: 500;
    line-height: 135%;
    font-size: rem(12);
    position: relative;
    min-height: rem(280);
    padding: rem(34) rem(24) rem(24) rem(24);
    border-top: 1px solid $gray-200;
    border-right: 1px solid $gray-200;

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(45);
        display: inline-block;
        margin-bottom: rem(20);
    }

    &__title {
        font-weight: 600;
        line-height: 135%;
        font-size: rem(15);
        margin-bottom: rem(8);
    }

    &__text {
        color: $gray-400;
    }

    &__num {
        top: 0;
        right: 0;
        z-index: 30;
        color: #4F4F4F;
        width: rem(40);
        height: rem(40);
        font-weight: 600;
        line-height: 135%;
        font-size: rem(12);
        position: absolute;
        background: #F5F5F3;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(14);
        min-height: rem(350);
        padding: rem(40) rem(30) rem(40) rem(34);
        border-right: 1px solid $gray-200;

        &__icon {
            margin-bottom: rem(30);
        }

        &__title {
            font-size: rem(16);
            margin-bottom: rem(12);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);
        min-height: rem(367);

        &__icon {
            height: rem(55);
            margin-bottom: rem(32);
        }

        &__num {
            width: rem(60);
            height: rem(60);
            font-size: rem(16);
        }

        &__title {
            font-size: rem(18);
        }
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(36) rem(50) rem(36) rem(60);
    }
}
